Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class FocusManager

    java.lang.Object
      org.apache.batik.bridge.FocusManager

Direct Known Subclasses:
  SVG12FocusManager

    public class FocusManager

extends Object

A class that manages focus on elements.

Nested Class Summary
`protected class` | `FocusManager.DOMFocusInTracker` The class that is responsible for tracking 'DOMFocusIn' changes.
`protected class` | `FocusManager.DOMFocusOutTracker` The class that is responsible for tracking 'DOMFocusOut' changes.
`protected class` | `FocusManager.MouseClickTracker` The class that is responsible for tracking 'mouseclick' changes.
`protected class` | `FocusManager.MouseOutTracker` The class that is responsible to update the focus according to 'mouseout' event.
`protected class` | `FocusManager.MouseOverTracker` The class that is responsible to update the focus according to 'mouseover' event.

Field Summary
`protected Document` | `document` The document.
`protected EventListener` | `domFocusInListener` The EventListener that tracks 'DOMFocusIn' events.
`protected EventListener` | `domFocusOutListener` The EventListener that tracks 'DOMFocusOut' events.
`protected EventTarget` | `lastFocusEventTarget` The element that has the focus so far.
`protected EventListener` | `mouseclickListener` The EventListener that tracks 'mouseclick' events.
`protected EventListener` | `mouseoutListener` The EventListener that tracks 'mouseout' events.
`protected EventListener` | `mouseoverListener` The EventListener that tracks 'mouseover' events.

Constructor Summary
`FocusManager(Document doc)` Constructs a new `FocusManager` for the specified document.

Method Summary
`protected void` | `addEventListeners(Document doc)` Adds the event listeners to the document.
`void` | `dispose()` Removes all listeners attached to the document and that manage focus.
`protected void` | `fireDOMActivateEvent(EventTarget target, int detailArg)` Fires a 'DOMActivate' event to the specified target.
`protected void` | `fireDOMFocusInEvent(EventTarget target, EventTarget relatedTarget)` Fires a 'DOMFocusIn' event to the specified target.
`protected void` | `fireDOMFocusOutEvent(EventTarget target, EventTarget relatedTarget)` Fires a 'DOMFocusOut' event to the specified target.
`EventTarget` | `getCurrentEventTarget()` Returns the current element that has the focus or null if any.
`protected void` | `removeEventListeners(Document doc)` Removes the event listeners from the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lastFocusEventTarget

    protected EventTarget lastFocusEventTarget

  The element that has the focus so far.

### document

    protected Document document

  The document.

### mouseclickListener

    protected EventListener mouseclickListener

  The EventListener that tracks 'mouseclick' events.

### domFocusInListener

    protected EventListener domFocusInListener

  The EventListener that tracks 'DOMFocusIn' events.

### domFocusOutListener

    protected EventListener domFocusOutListener

  The EventListener that tracks 'DOMFocusOut' events.

### mouseoverListener

    protected EventListener mouseoverListener

  The EventListener that tracks 'mouseover' events.

### mouseoutListener

    protected EventListener mouseoutListener

  The EventListener that tracks 'mouseout' events.

Constructor Detail

### FocusManager

    public FocusManager(Document doc)

  Constructs a new `FocusManager` for the specified document.

  Parameters:
    `doc` - the document

Method Detail

### addEventListeners

    protected void addEventListeners(Document doc)

  Adds the event listeners to the document.

### removeEventListeners

    protected void removeEventListeners(Document doc)

  Removes the event listeners from the document.

### getCurrentEventTarget

    public EventTarget getCurrentEventTarget()

  Returns the current element that has the focus or null if any.

### dispose

    public void dispose()

  Removes all listeners attached to the document and that manage focus.

### fireDOMFocusInEvent

    protected void fireDOMFocusInEvent(EventTarget target,
                                       EventTarget relatedTarget)

  Fires a 'DOMFocusIn' event to the specified target.

  Parameters:
    `target` - the newly focussed event target
    `relatedTarget` - the previously focussed event target

### fireDOMFocusOutEvent

    protected void fireDOMFocusOutEvent(EventTarget target,
                                        EventTarget relatedTarget)

  Fires a 'DOMFocusOut' event to the specified target.

  Parameters:
    `target` - the previously focussed event target
    `relatedTarget` - the newly focussed event target

### fireDOMActivateEvent

    protected void fireDOMActivateEvent(EventTarget target,
                                        int detailArg)

  Fires a 'DOMActivate' event to the specified target.

  Parameters:
    `target` - the event target
    `detailArg` - the detailArg parameter of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.